/*
	PROforma, PROgs FOnt & Raster MAnager

	dummy picture driver - modify to make it fit your needs

	(c) PROGS, Professional & Graphical Software
	written by Joachim Van der Auwera
	started 19 December 1995
*/

#include "gstate_h"

static Error nimp()    { return ERR_NIMP; }

Error Recognize(Gstate gstate, char *base);
Error AspectRatio(Gstate gstate, char *base, int *xratio, int *yratio);

Error Display(Gstate, char *base, pt xsiz, pt ysiz,
					 Error (*ColourSelect)(Gstate, int));

Error ColourInfo(Gstate, char *base, int *count, int *colourspace);
Error ColourGet(Gstate, char *base, int which, void *colour);

PICTdriver init {
	NULL, PF_PICTUREDRIVER,
	"picture driver name",

	/* can we recognize the picture */
	Recognize,
	AspectRatio,

	/* display the picture */
	Display,

	/* info on colours used in the picture */
	ColourInfo,
	ColourGet,

	nimp
};
