/*
	header file for PROforma
	definition of linked list macros

	(c) PROGS, Professional & Graphical Software
	written by Joachim Van der Auwera
	started 21 July 1993
*/

/* single linked lists */

#define linkin(el, list) \
		{ el->next=list; list=el; }

#define safelinkin(el, list) \
		{ _super(); el->next=list; list=el; _user(); }

#define linkout(el, list) \
		{ el=list; list=el->next; }

#define list_release(b) 		\
		{                       \
			char *n;			\
			while (b)			\
			{                   \
				n=(char *)b;	\
				b=b->next;		\
				MEMRelease(n);	\
			}					\
		}
